Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460444 (CVE-2013-1667) - <dev-lang/perl-5.16.3 : Input Rehashing Denial of Service Vulnerability (CVE-2013-1667)
Summary: <dev-lang/perl-5.16.3 : Input Rehashing Denial of Service Vulnerability (CVE-...
Status: RESOLVED FIXED
Alias: CVE-2013-1667
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/52472/
Whiteboard: A3 [glsa]
Keywords:
Depends on: 461898
Blocks:
  Show dependency tree
 
Reported: 2013-03-05 19:43 UTC by Agostino Sarubbo
Modified: 2014-01-19 16:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-05 19:43:35 UTC
From ${URL} :

Description
A vulnerability has been reported in Perl, which can be exploited by malicious people to cause a 
DoS (Denial of Service).

The vulnerability is caused due to an error when rehashing user input, which can be exploited to 
consume large amounts of memory.

Successful exploitation requires that the application uses user input as hash keys.

The vulnerability is reported in versions 5.8.2 through 5.16.x.


Solution
Fixed in the GIT repository.

Provided and/or discovered by
Reported by the vendor.

Original Advisory
http://www.nntp.perl.org/group/perl.perl5.porters/2013/03/msg199755.html
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2013-03-18 10:58:55 UTC
The issue is fixed in perl-5.12.5 and >=perl-5.16.2-r1.

I'd like to move to perl-5.16.3. But it needs a newer vim version stabilized (see dependency tree).

Your call.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2013-03-21 18:48:40 UTC
CVE-2013-1667 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1667):
  The rehash mechanism in Perl 5.8.2 through 5.16.x allows context-dependent
  attackers to cause a denial of service (memory consumption and crash) via a
  crafted hash key.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-12-19 14:46:09 UTC
glsa request filed
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2014-01-19 16:38:37 UTC
This issue was resolved and addressed in
 GLSA 201401-11 at http://security.gentoo.org/glsa/glsa-201401-11.xml
by GLSA coordinator Chris Reffett (creffett).